%global project     clojure
%global artifactId  spec.alpha
%global archivename %{artifactId}-%{artifactId}
%global full_version %{version}

Name:           clojure-spec-alpha
Epoch:          1
Version:        0.1.143
Release:        1%{?dist}
Summary:        Spec is a Clojure library to describe the structure of data and functions.

Group:          Development/Languages
License:        EPL
URL:            http://github.com/%{project}/%{name}/
Source0:        https://github.com/%{project}/%{artifactId}/archive/%{artifactId}-%{full_version}.zip


BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  exec-maven-plugin
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  clojure-maven-plugin >= 1:1.8.1
BuildRequires:  clojure-build.poms-pom.contrib >= 1:0.2.2
Requires:       clojure  >= 1:1.9.0-0.beta3


%description 
Spec is a Clojure library to describe the structure of data and functions.
Specs can be used to validate data, conform (destructure) data, explain
invalid data, generate examples that conform to the specs, and automatically
use generative testing to test functions.

%prep
%setup -q -n %{archivename}-%{full_version}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc epl-v10.html CHANGES.md README.md CONTRIBUTING.md

%changelog
* Sun Dec 16 2018 Markku Korkeala <markku.korkeala@iki.fi> - 1:0.1.143-1
- Update to upstream version 0.1.143
- Add exec-maven-plugin to build requirements

* Sat Dec 15 2018 Markku Korkeala <markku.korkeala@iki.fi> - 1:0.1.123-1
- Initial package
